Table of Contents

Class: SOCKSv4 | Twisted-0.17.4/twisted/protocols/socks.py
--- | ---

Base Classes |
--- | ---
protocol.Protocol

Methods |
--- | ---
__init__ _approveConnection authorize connectionMade dataReceived log makeReply write
| __init__

    __init__ ( self,  logging=None )

| _approveConnection

    _approveConnection (
            self,
            skt,
            addr,
            )

| authorize

    authorize (
            self,
            code,
            server,
            port,
            user,
            )

| connectionMade

    connectionMade ( self )

| dataReceived

    dataReceived ( self,  data )

Exceptions |
--- | ---
RuntimeError, "Bad Connect Code: %s" % code RuntimeError, "struct error with head='%s' and buf='%s'" %(repr( head ), repr( self.buf ) )

| log

    log (
            self,
            proto,
            data,
            )

| makeReply

    makeReply (
            self,
            reply,
            version=0,
            port=0,
            ip="0.0.0.0",
            )

| write

    write ( self,  data )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0